<div class="rounded border border-2 w-100 p-2">
    <h1>DECLARACIÓN JURADA DE DATOS DE BIENES INMUEBLES</h1>
    <mat-stepper [linear]="true" #stepper>
        <mat-step [stepControl]="form1">
            <form [formGroup]="form1" autocomplete="off">
                <ng-template matStepLabel>
                    TIPO DE TRÁMITE
                </ng-template>
                <b>1. - TIPO DE TRÁMITE</b>
                <div class="row mt-2 border border-2 w-100">
                    <div class="col-6 border border-2">
                        <b>ACTUALIZACIÓN DE DATOS TÉCNICOS</b>
                        <!--<mat-radio-group class="example-radio-group"  formControlName="idtipo_tramite">
                            <mat-radio-button class="example-radio-button" *ngFor="let tipotramite of tipotramites" [value]="tipotramite.codigo">
                                <span class="wrap-mat-radio-label">
                                    {{tipotramite.nombre}}   
                                </span>  
                            </mat-radio-button>
                    
                        </mat-radio-group>
                        
                        <mat-form-field appearance="fill" [style.width.%]="100">
                            <mat-label>Otros</mat-label>
                            <input matInput type="text" placeholder="Otros" 
                                formControlName="glosa_otro">
                        </mat-form-field>-->
                    </div>
                    <div class="col-6">
                        
                        <form [formGroup]="formM" autocomplete="off">
                            <div class="row border border-2">     
                                <div class="col-7">
                                    <mat-form-field appearance="fill" [style.width.%]="100" >
                                        <mat-label>Fecha de la Minuta</mat-label>
                                        <input matInput 
                                            [matDatepicker]="fecha_minuta"
                                            datePickerFormat="DD/MM/YYYY"
                                            formControlName="fecha_minuta">
                    
                                        <mat-datepicker-toggle matSuffix [for]="fecha_minuta"></mat-datepicker-toggle>
                                        <mat-datepicker #fecha_minuta></mat-datepicker>            
                                        
                                        <mat-error *ngIf="formM.controls['fecha_minuta'].hasError('required')" class="form-control-feedback">
                                            Fecha de la Minuta es requerida
                                        </mat-error>
                                    </mat-form-field>
    
                                    <mat-form-field appearance="fill" [style.width.%]="100">
                                        <mat-label>Monto de la Minuta</mat-label>
                                        <input matInput type="number"
                                            min="1"
                                            placeholder="Monto de la Minuta" 
                                            formControlName="monto">
                                    </mat-form-field>
                                </div>
    
                                <div class="col-5">
                                    <div class="form-group">
                                        <mat-radio-group class="example-radio-group" 
                                            formControlName="moneda">
                                            <mat-radio-button class="example-radio-button"
                                                *ngFor="let moneda of monedas"
                                                [value]="moneda.codigo">{{moneda.nombre}}                            </mat-radio-button>
                                    
                                        </mat-radio-group>
                                    </div>
                                    <button mat-button color="primary" [style.width.%]="100"
                                         [disabled]="!formM.valid" (click)="agregarMinuta()">Agregar</button>
                                </div>
                                
                            </div>                            
                        </form>                          
                       
                        <div class="row border border-2">
                            <table class="table table-bordered table-striped table-hover">
                                <thead>
                                    <tr>
                                        <th class="table-dark">Fecha de la Minuta</th>
                                        <th class="table-dark">Monto</th>
                                        <th class="table-dark">Moneda</th>                                        
                                    </tr>
                                </thead>
                                <tbody>
                                    <tr *ngFor="let minuta of minutas; let i=index">
                                        <td>{{ minuta.fecha_minuta }}</td>
                                        <td>{{ minuta.monto | number:'1.2-2'}}</td>                              
                                        <td>{{ minuta.moneda }}</td>
                                        <td>
                                            <button mat-button color="danger" (click)="eliminarMinuta(i)">Eliminar</button>                                        
                                          </td>
                                    </tr>
                                </tbody>
                            </table> 
    
                        </div>      
                        
                    </div>
                </div>
                
            </form>

            <div class="row mt-3">
                <div class="col-6 d-flex justify-content-start">
                    
                </div>
                <div class="col-6 d-flex justify-content-end">
                    <button mat-button matStepperNext [style.width.%]="100"
                        [disabled]="minutas.length==0"  color="info">Siguiente </button>
                </div>
            </div>     
        </mat-step>
        
        <mat-step [stepControl]="form2">
            <form [formGroup]="form2" autocomplete="off">
                <ng-template matStepLabel>IDENTIFICACIÓN</ng-template>                
                <div class="row mt-2 mb-2">                    
                    <div class="col-5">
                        <b>2. IDENTIFICACIÓN DEL INMUEBLE Y REGISTRO (Llenar los datos disponibles)</b>
                        <div class="row">
                            <div class="col-6">
                                <mat-form-field appearance="fill" [style.width.%]="100">
                                    <mat-label>Código Catastral</mat-label>
                                    <input matInput type="text" placeholder="Código Catastral" 
                                        formControlName="codigo_catastral">
        
                                    <mat-error *ngIf="form2.controls['codigo_catastral'].hasError('required')" class="form-control-feedback">
                                        Código Catastral es requerido
                                    </mat-error>
                                </mat-form-field>
                            </div>
                            <div class="col-6">
                                <mat-form-field appearance="fill" [style.width.%]="100">
                                    <mat-label>Número de Inmueble</mat-label>
                                    <input matInput type="text" placeholder="Número de Inmueble" 
                                        formControlName="numero_inmueble">
        
                                    <mat-error *ngIf="form2.controls['numero_inmueble'].hasError('required')" class="form-control-feedback">
                                        Número de Inmueble es requerido
                                    </mat-error>
                                </mat-form-field>
                            </div>                           
                        </div> 
                        <div class="row">
                            <div class="col-4">
                                <mat-form-field appearance="fill" [style.width.%]="100">
                                    <mat-label>UV</mat-label>
                                    <input matInput type="text" placeholder="UV" 
                                        formControlName="uv">                                   
                                </mat-form-field>
                            </div>
                            <div class="col-4">
                                <mat-form-field appearance="fill" [style.width.%]="100">
                                    <mat-label>Manzana</mat-label>
                                    <input matInput type="text" placeholder="Manzana" 
                                        formControlName="manzana">                                   
                                </mat-form-field>
                            </div>
                            <div class="col-4">
                                <mat-form-field appearance="fill" [style.width.%]="100">
                                    <mat-label>Lote</mat-label>
                                    <input matInput type="text" placeholder="Lote" 
                                        formControlName="lote">                                   
                                </mat-form-field>
                            </div>
                        </div>
                        <mat-form-field appearance="fill" [style.width.%]="100">
                            <mat-label>Dirección del Inmueble</mat-label>
                            <input matInput type="text" placeholder="Dirección del Inmueble"
                                oninput="this.value = this.value.toUpperCase()"
                                formControlName="direccion_inmueble">

                            <mat-error *ngIf="form2.controls['direccion_inmueble'].hasError('required')" class="form-control-feedback">
                                Dirección es requerido
                            </mat-error>
                        </mat-form-field>
                        <mat-form-field appearance="fill" [style.width.%]="100">
                            <mat-label>Barrio</mat-label>
                            <input matInput type="text" placeholder="Barrio"
                                oninput="this.value = this.value.toUpperCase()"
                                formControlName="barrio_inmueble">
                        </mat-form-field>            
                    </div>
                    <div class="col-7">
                        <div class="col-md-12">
                            Por favor seleccione la ubicación actual de su domicilio en el mapa
                        </div>
                        <div id="map" name="map" style="height: 55vh; width: 55vh" leaflet (leafletMapReady)="onMapReady($event)" (leafletClick)="agregarMarcadorJurisdiccion($event)" [leafletOptions]="options"></div>
                    </div>             
                </div>
                       
                
            </form>

            <div class="row mt-3">
                <div class="col-6 d-flex justify-content-start">                    
                    <button mat-button matStepperPrevious [style.width.%]="100" color="info">Anterior </button>
                </div>
                <div class="col-6 d-flex justify-content-end">
                    <button mat-button matStepperNext [style.width.%]="100" 
                    [disabled]="!form2.valid || X==0" color="info">Siguiente</button>
                </div>
            </div>    
        </mat-step>
        
        <mat-step [stepControl]="form3">
            <form [formGroup]="form3" autocomplete="off">
                <ng-template matStepLabel>DATOS</ng-template>
                <b>3. DATOS DEL INMUEBLE</b>
                <div class="row">
                    <div class="col-6">
                        <div class="row">
                            <div class="col-7">
                                <mat-form-field appearance="fill" [style.width.%]="100">
                                    <mat-label>Superficie del terreno en mts2</mat-label>
                                    <input matInput type="number" placeholder="Superficie Terreno" 
                                        formControlName="superficie_terrenom2">
                
                                    <mat-error *ngIf="form3.controls['superficie_terrenom2'].hasError('required')" class="form-control-feedback">
                                        Superficie del Terreno es requerido
                                    </mat-error>
                                </mat-form-field>
                                
                            </div>                            
                        </div>
                        <div class="row">
                            <div class="col-6">
                                <b>4. TIPO DE VIA</b>
                                <div class="form-group">
                                    <mat-radio-group class="example-radio-group" 
                                        formControlName="idtipovia">
                                        <mat-radio-button class="example-radio-button"
                                            *ngFor="let tipovia of tipovias"
                                            [value]="tipovia.codigo">{{tipovia.nombre}}                            </mat-radio-button>
                                
                                    </mat-radio-group>
                                </div>
                            </div>
                            <div class="col-6">
                                <b>5. SERVICIOS BÁSICOS</b> <br>                               
                                <div class="example-radio-group">
                                    <ng-container *ngFor="let servicio of servicios">
                                        <mat-checkbox class="example-radio-button"
                                             [checked]="servicio.checked"
                                             (change)="servicio.checked = $event.checked">
                                             {{servicio.nombre}}</mat-checkbox>
                                    </ng-container>
                                    <!--<mat-checkbox  color='primary' class="example-radio-button" formControlName='idservicio_basico1'>AGUA </mat-checkbox>
                                    <mat-checkbox  color='primary' class="example-radio-button" formControlName='idservicio_basico2'>ALCANTARILLADO </mat-checkbox>
                                    <mat-checkbox  color='primary' class="example-radio-button" formControlName='idservicio_basico3'>ELECTRICIDAD </mat-checkbox>
                                    <mat-checkbox  color='primary' class="example-radio-button" formControlName='idservicio_basico4'>TELEFONO </mat-checkbox>-->
                                </div>
                            </div>
                        </div>
                    </div>                  

                    <div class="col-6">                        
                        <div class="row mb-2">
                            <div class="col-3">
                                <button mat-button color="primary" (click)="openDialog()">Agregar</button>
                            </div>
                            <div class="col-6">
                                <b>CONSTRUCCIONES</b>
                            </div>                          
                        </div>                        
                        <table class="table table-bordered table-striped table-hover">
                            <thead>
                                <tr>                                    
                                    <th class="table-dark">Antigüedad (años)</th>
                                    <th class="table-dark">Tipo</th>                                    
                                    <th class="table-dark">Sup. Construida en m2</th>
                                    <th class="table-dark">Acciones</th>
                                </tr>
                            </thead>
                            <tbody>
                                <tr *ngFor="let construccion of construcciones; let i=index">                                    
                                    <td>{{ construccion.antiguedad_anios}}</td>                              
                                    <td>{{ construccion.tipo }}</td>
                                    <td>{{ construccion.superficie_construidam2 | number:'1.2-2'}}</td>
                                    <td>
                                        <button mat-button color="danger" (click)="eliminarConstruccion(i)">Eliminar</button>                                        
                                      </td>
                                </tr>
                                <br>
                                <tr class="table-dark">
                                    <th scope="row" colspan="2">Superficie total construida en mts2:</th>
                                    <td>{{ total_sup | number:'1.2-2'  }}</td>
                                </tr>
                            </tbody>
                        </table>                      
                        
                    </div>
                </div>                       
                
                <div class="row mt-3">
                    <div class="col-6 d-flex justify-content-start">
                        <button mat-button matStepperPrevious [style.width.%]="100"
                            color="info">Anterior </button>
                    </div>
                    <div class="col-6 d-flex justify-content-end">
                        <button mat-button matStepperNext [style.width.%]="100"
                            [disabled]="!form3.valid || construcciones.length==0" color="info">Siguiente </button>
                    </div>
                </div>    
            </form>
        </mat-step>
        
        <mat-step [stepControl]="form4" label="Step 1">
            <form [formGroup]="form4" autocomplete="off">
                <ng-template matStepLabel>6. PROP. O COMPRADOR</ng-template>
                <b>6. DATOS DEL PROPIETARIO TITULAR O COMPRADOR (Llenado Obligatorio)</b>
                <div class="row">
                    <div class="col-3">
                        <mat-form-field class="w-100" appearance="fill">
                            <mat-label>Tipo Documento : </mat-label>
                            <mat-select formControlName="idtipo_documento_identidad1">
                                <mat-option value="">-- Seleccione --</mat-option>
                                <mat-option value="1">CI</mat-option>
                                <mat-option value="2">NIT</mat-option>                                
                            </mat-select>

                            <mat-error *ngIf="form4.controls['idtipo_documento_identidad1'].hasError('required')" class="form-control-feedback">
                                Tipo Documento es requerido
                            </mat-error>
                        </mat-form-field>
                    </div>
                    <div class="col-3">
                        <mat-form-field appearance="fill" [style.width.%]="100">
                            <mat-label>Nro. de Documento</mat-label>
                            <input matInput type="text" placeholder="Nro. de Doc."                                
                                formControlName="numero_documento_identidad1">
                        </mat-form-field>
                    </div>
                    <div class="col-3">
                        <mat-form-field appearance="fill" class="disabled" [style.width.%]="100">
                            <mat-label>Expedición</mat-label>
                            <input matInput type="text" placeholder="Expedición" 
                                formControlName="expendido_documento_identidad1" readonly>
                        </mat-form-field>                        
                    </div>                    
                </div>
                <div class="row">
                    <div class="col-3">
                        <mat-form-field appearance="fill" class="w-100" appearance="fill">
                            <mat-label>Tipo Propietario : </mat-label>
                            <mat-select formControlName="idtipo_propietario1">
                                <mat-option value="">-- Seleccione --</mat-option>
                                <mat-option value="1">Persona Natural</mat-option>
                                <mat-option value="2">Persona Jurídica</mat-option>
                                <mat-option value="3">Apoderado</mat-option>
                            </mat-select>

                            <mat-error *ngIf="form4.controls['idtipo_propietario1'].hasError('required')" class="form-control-feedback">
                                Tipo Propietario es requerido
                            </mat-error>
                        </mat-form-field>
                    </div>
                                       
                    <div class="col-3">
                        <mat-form-field appearance="fill" class="disabled" [style.width.%]="100">
                            <mat-label>Apellido Paterno</mat-label>
                            <input matInput type="text" placeholder="Apellido Paterno"
                                oninput="this.value = this.value.toUpperCase()"
                                formControlName="apellido_paterno1" readonly >
                        </mat-form-field>
                    </div>
                    <div class="col-3">
                        <mat-form-field appearance="fill" class="disabled" [style.width.%]="100">
                            <mat-label>Apellido Materno</mat-label>
                            <input matInput type="text" placeholder="Apellido Materno"
                                oninput="this.value = this.value.toUpperCase()"
                                formControlName="apellido_materno1" readonly>
                        </mat-form-field>
                    </div>
                    <div class="col-3">
                        <mat-form-field appearance="fill" class="disabled" [style.width.%]="100">
                            <mat-label>Nombres</mat-label>
                            <input matInput type="text" placeholder="Nombres"
                                oninput="this.value = this.value.toUpperCase()"
                                formControlName="nombres1" readonly>
                        </mat-form-field>
                    </div>
                </div>
                <div class="row">
                    <div class="col-7">
                        <mat-form-field appearance="fill" class="disabled" [style.width.%]="100">
                            <mat-label>Dirección</mat-label>
                            <input matInput type="text" placeholder="Dirección"
                                oninput="this.value = this.value.toUpperCase()"
                                formControlName="direccion_propietario" readonly>
                        </mat-form-field>
                    </div>
                    <div class="col-5">
                        <mat-form-field appearance="fill" [style.width.%]="100">
                            <mat-label>Barrio</mat-label>
                            <input matInput type="text" placeholder="Barrio"
                                oninput="this.value = this.value.toUpperCase()"
                                formControlName="barrio_propietario" >
                        </mat-form-field>
                    </div>
                </div>
                <div class="row">
                    <div class="col-3">
                        <mat-form-field appearance="fill" class="disabled" [style.width.%]="100">
                            <mat-label>Telefono Fijo 1</mat-label>
                            <input matInput type="text" placeholder="Telefono Fijo 1" 
                                formControlName="telefono_fijo1" readonly>
                        </mat-form-field>
                    </div>
                    <div class="col-3">
                        <mat-form-field appearance="fill" [style.width.%]="100">
                            <mat-label>Telefono Fijo 2</mat-label>
                            <input matInput type="text" placeholder="Telefono Fijo 2" 
                                formControlName="telefono_fijo2" >
                        </mat-form-field>
                    </div>
                    <div class="col-3">
                        <mat-form-field appearance="fill" class="disabled" [style.width.%]="100">
                            <mat-label>Telefono Móvil 1</mat-label>
                            <input matInput type="text" placeholder="Telefono Móvil 1" 
                                formControlName="telefono_movil1" readonly>
                        </mat-form-field>
                    </div>
                    <div class="col-3">
                        <mat-form-field appearance="fill" [style.width.%]="100">
                            <mat-label>Teléfono Móvil 2</mat-label>
                            <input matInput type="text" placeholder="Telefono Móvil 2" 
                                formControlName="telefono_movil2" >
                        </mat-form-field>
                    </div>
                </div>
                <div class="row">
                    <b>7. DATOS COMPLEMENTARIOS - PROPIETARIO TITULAR O COMPRADOR</b>
                    <div class="col-3">
                        <mat-form-field appearance="fill" class="disabled" [style.width.%]="100">
                            <input matInput [readonly]="true"
                                [matDatepicker]="fecha_nacimiento"
                                datePickerFormat="DD/MM/YYYY"
                                formControlName="fecha_nacimiento">
        
                            <mat-datepicker-toggle matSuffix [for]="fecha_nacimiento"></mat-datepicker-toggle>
                            <mat-datepicker #fecha_nacimiento disabled="true"></mat-datepicker>
                            
                            <mat-error *ngIf="form4.controls['fecha_nacimiento'].hasError('required')" class="form-control-feedback">
                                Fecha de Nacimiento es requerida
                            </mat-error>
                        </mat-form-field>
                    </div>
                    <div class="col-3">
                        <mat-radio-group class="example-radio-group" 
                            formControlName="idsexo">
                            <mat-radio-button class="example-radio-button"
                                *ngFor="let sexo of sexos"
                                [value]="sexo.codigo">{{sexo.nombre}}</mat-radio-button>                    
                        </mat-radio-group>
                    </div>
                    <div class="col-6">
                        <mat-radio-group 
                            formControlName="idestado_civil">
                            <mat-radio-button class="example-radio-button"
                                *ngFor="let estado of estados"
                                [value]="estado.codigo">{{estado.nombre}}</mat-radio-button>                    
                        </mat-radio-group>
                    </div>
                </div>
            </form>

            <div class="row mt-3">
                <div class="col-4 d-flex justify-content-start">
                    <button mat-button matStepperPrevious [style.width.%]="100" color="info">Anterior </button>
                </div>
                <div class="col-4"></div>
                <div class="col-4 d-flex justify-content-end">                    
                    <button mat-button matStepperNext [style.width.%]="100"
                        [disabled]="!form4.valid" color="info">Siguiente </button>
                </div>                
            </div>

        </mat-step>
        <mat-step [stepControl]="form5" *ngIf="(form4.controls['idtipo_propietario1'].value=='2' || form4.controls['idtipo_propietario1'].value=='3')">
            <form [formGroup]="form5" autocomplete="off">
                <ng-template matStepLabel>8. REP. LEGAL</ng-template>
                <b>8. DATOS DEL REPRESENTANTE LEGAL O APODERADO</b>
                <div class="row">
                    <div class="col-3">
                        <mat-form-field class="w-100" appearance="fill">
                            <mat-label>Tipo Documento : </mat-label>
                            <mat-select formControlName="idtipo_documento_identidad2">
                                <mat-option value="">-- Seleccione --</mat-option>
                                <mat-option value="1">CI</mat-option>
                                <mat-option value="2">NIT</mat-option>                                
                            </mat-select>

                            <mat-error *ngIf="form5.controls['idtipo_documento_identidad2'].hasError('required')" class="form-control-feedback">
                                Tipo Documento es requerido
                            </mat-error>
                        </mat-form-field>
                    </div>
                    <div class="col-3">
                        <mat-form-field appearance="fill" [style.width.%]="100">
                            <mat-label>Nro. de Documento</mat-label>
                            <input matInput type="text" placeholder="Nro. de Doc." 
                                formControlName="numero_documento_identidad2">
                        </mat-form-field>
                    </div>
                    <div class="col-3">
                        <mat-form-field class="w-100" appearance="fill">
                            <mat-label>Expedición : </mat-label>
                            <mat-select formControlName="expendido_documento_identidad2">
                                <mat-option value="">-- Seleccione --</mat-option>
                                <mat-option value="BENI">BENI</mat-option>
                                <mat-option value="CHUQUISACA">CHUQUISACA</mat-option>
                                <mat-option value="COCHABAMBA">COCHABAMBA</mat-option>
                                <mat-option value="EXTRANJERO">EXTRANJERO</mat-option>
                                <mat-option value="LA PAZ">LA PAZ</mat-option>
                                <mat-option value="ORURO">ORURO</mat-option>
                                <mat-option value="PANDO">PANDO</mat-option>
                                <mat-option value="POTOSI">POTOSÍ</mat-option>
                                <mat-option value="SANTA CRUZ">SANTA CRUZ</mat-option>
                                <mat-option value="TARIJA">TARIJA</mat-option>
                            </mat-select>

                            <mat-error *ngIf="form5.controls['expendido_documento_identidad2'].hasError('required')" class="form-control-feedback">
                                Expedición es requerido
                            </mat-error>
                        </mat-form-field>
                    </div>
                </div>
                <div class="row">
                    <div class="col-3">                        
                    </div>                    
                    <div class="col-3">
                        <mat-form-field appearance="fill" [style.width.%]="100">
                            <mat-label>Apellido Paterno</mat-label>
                            <input matInput type="text" placeholder="Apellido Paterno"
                                oninput="this.value = this.value.toUpperCase()"
                                formControlName="apellido_paterno2">
                        </mat-form-field>
                    </div>
                    <div class="col-3">
                        <mat-form-field appearance="fill" [style.width.%]="100">
                            <mat-label>Apellido Materno</mat-label>
                            <input matInput type="text" placeholder="Apellido Materno"
                                oninput="this.value = this.value.toUpperCase()" 
                                formControlName="apellido_materno2">
                        </mat-form-field>
                    </div>
                    <div class="col-3">
                        <mat-form-field appearance="fill" [style.width.%]="100">
                            <mat-label>Nombres</mat-label>
                            <input matInput type="text" placeholder="Nombres"
                                oninput="this.value = this.value.toUpperCase()" 
                                formControlName="nombres2">
                        </mat-form-field>
                    </div>
                </div>
                <div class="row">
                    <div class="col-3">
                        <mat-form-field appearance="fill" [style.width.%]="100">
                            <mat-label>Según Número de Poder</mat-label>
                            <input matInput type="text" placeholder="Según Número de Poder"
                                formControlName="numero_poder">
                        </mat-form-field>
                    </div>
                    <div class="col-3">
                        <mat-form-field appearance="fill" [style.width.%]="100" >
                            <mat-label>Fecha</mat-label>
                            <input matInput 
                                [matDatepicker]="fecha_poder"
                                datePickerFormat="DD/MM/YYYY"
                                formControlName="fecha_poder">
        
                            <mat-datepicker-toggle matSuffix [for]="fecha_poder"></mat-datepicker-toggle>
                            <mat-datepicker #fecha_poder></mat-datepicker>            
                            
                            <mat-error *ngIf="form5.controls['fecha_poder'].hasError('required')" class="form-control-feedback">
                                Fecha es requerida
                            </mat-error>
                        </mat-form-field>
                    </div>
                    <div class="col-3">
                        <mat-form-field appearance="fill" [style.width.%]="100">
                            <mat-label>Notaría Nro.</mat-label>
                            <input matInput type="text" placeholder="Notaría Nro."
                                oninput="this.value = this.value.toUpperCase()"
                                formControlName="numero_notario">
                        </mat-form-field>
                    </div>
                    <div class="col-3">
                        <mat-form-field appearance="fill" [style.width.%]="100">
                            <mat-label>Nombre</mat-label>
                            <input matInput type="text" placeholder="Nombre"
                                oninput="this.value = this.value.toUpperCase()"
                                formControlName="nombre_notario">
                        </mat-form-field>
                    </div>
                </div>
                <div class="row">
                    <b>I. OBSERVACIONES</b>
                    <mat-form-field appearance="fill" [style.width.%]="100">
                        <mat-label>Observaciones</mat-label>
                        <input matInput type="text" placeholder="Observaciones"
                            oninput="this.value = this.value.toUpperCase()"
                            formControlName="observaciones">
                    </mat-form-field>
                </div>

            </form>

            <div class="row mt-3">
                <div class="col-4 d-flex justify-content-start">
                    <button mat-button matStepperPrevious [style.width.%]="100" color="info">Anterior</button>
                </div>
                <div class="col-4 d-flex justify-content-end">
                    <button mat-button matStepperNext [style.width.%]="100" 
                    [disabled]="!form5.valid || X==0" color="info">Siguiente</button>
                </div>          
            </div>          
        </mat-step>
        
        <mat-step [stepControl]="form6" *ngIf="form4.controls['idtipo_propietario1'].value!=''">
            <form [formGroup]="form6" autocomplete="off">
                <ng-template matStepLabel>DOCUMENTOS ADJUNTOSL</ng-template>
                <b>DOCUMENTOS ADJUNTOS</b>

                <div class="row">
                    <mat-card class="example-card">
                        <mat-card-title>Requisitos</mat-card-title>
                        <mat-card-content>
                            <div class="row" *ngFor="let tipodocumento of tipoDocumentos;let i=index">
                                <div class="col-3 mb-2">
                                    {{tipodocumento.nombre_documento}}
                                </div>                                        
                                <div class="col-3 mb-2">                                                   
                                    <input type="file" class="fileControlInput" #fileUploader
                                        multiple="true"
                                        placeholder="Cargar Archivo"                                        
                                        (change)="onFileChange(i, $event)" required>                                                                            
                                </div>
                                <!--accept="application/pdf"-->
                            </div> 
                        </mat-card-content>
                    </mat-card>        
                </div>
                     
            </form>

            <div class="row mt-3">
                <div class="col-4 d-flex justify-content-start">
                    <button mat-button matStepperPrevious [style.width.%]="100" color="info">Anterior </button>
                </div>
                <div class="col-4"></div>

                <div class="col-4 d-flex justify-content-end">
                    <button mat-button [style.width.%]="100"
                      [disabled]="cantDocumentos==0" 
                      color="success" (click)="registrarDeclaracion()">Registrar Declaración</button>
                </div>
                <!-- [disabled]="cantDocumentos!=documentos.length"              -->
            </div>   
        </mat-step>
    </mat-stepper>
